API ReferenceGroups
List all products within group
List the products in a group, 15 per page by default.
List the products in a group, 15 per page by default.
AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Path Parameters
group*integer
The group path parameter.
Query Parameters
limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valueHeader Parameters
X-STORE?string
Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/groups/1/products" \ -H "X-STORE: launch-lab"{
"data": [
{
"id": 1,
"title": "Project Planning Guide",
"slug": "serial",
"description": "<p>I am sure of it, Pinky.</p>",
"images": [],
"order": 1,
"visibility": "PUBLIC",
"delivery_text": "",
"additional_information": [],
"warranty": {
"text": "",
"time": null,
"preferredUnit": "MINUTES"
},
"other_settings": {
"faq": [],
"video_url": "",
"redirect_url": "",
"product_title": "",
"product_description": ""
},
"deleted_at": null,
"created_at": "2022-12-12T12:12:12.000000Z",
"updated_at": "2022-12-12T12:12:12.000000Z",
"store_id": 1,
"category_id": null,
"section_id": null,
"section_order": null,
"is_discoverable": true,
"pivot": {
"group_id": 1,
"listing_id": 1,
"order": 1
},
"default_price": {
"price": "500",
"currency": "USD"
}
}
],
"links": {
"first": "https://sell.app/api/v2/groups/1/products?page=1",
"last": "https://sell.app/api/v2/groups/1/products?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://sell.app/api/v2/groups/1/products",
"per_page": 15,
"to": 1,
"total": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://sell.app/api/v2/groups/1/products?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
}
}{
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request could not be understood.",
"status": 400,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#bad-request"
}{
"type": "authentication_error",
"code": "unauthenticated",
"message": "Unauthenticated.",
"status": 401,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}{
"type": "authorization_error",
"code": "forbidden",
"message": "This action is unauthorized.",
"status": 403,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#forbidden"
}{
"type": "not_found_error",
"code": "resource_not_found",
"message": "Not Found.",
"status": 404,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#resource-not-found"
}{
"type": "validation_error",
"code": "validation_failed",
"message": "The selected product variant id is invalid.",
"status": 422,
"param": "product_variant_id",
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#validation-failed",
"errors": {
"product_variant_id": [
"The selected product variant id is invalid."
]
}
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Attempts.",
"status": 429,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}{
"type": "api_error",
"code": "api_error",
"message": "Server Error",
"status": 500,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#api-error"
}